Subject: [dtn-interest] David Culler/Motes - Scientific American
From: "vinton g. cerf" <[email-masked]>
To: [email-masked]
Date: Sat, 22 Nov 2003 15:09:24 -0500
List-Id: Delay Tolerant Networking Interest List <dtn-interest.mailman.dtnrg.org>

David Culler and the Motes project makes top 50 in Scientific American's
December 2003 issue (page 58). 

Congratulations to David and the Motes team!

Vint

Vint Cerf
SVP Technology Strategy
MCI
22001 Loudoun County Parkway, F2-4115
Ashburn, VA 20147
703 886 1690 (v806 1690)
703 886 0047 fax
[email-masked]
www.mci.com/cerfsup 

content-class: urn:content-classes:message
Subject: AW: [dtn-interest] Fwd: [ipv6.tf] IPv6 over satellite activities {01}
Date: Thu, 20 Nov 2003 18:11:35 +0100
From: "Fritsche Wolfgang" <[email-masked]>
To: "Durga Prasad Pandey" <[email-masked]>, "vinton g. cerf" <[email-masked]>
Cc: <[email-masked]>, "Fritsche Wolfgang" <[email-masked]>
Sender: [email-masked]

Dear Durga,

I think I should start with clarifying a little bit more what I meant with "regions with no or poor terrestrial connectivity". First region is a region on earth (as I know NTDRG also does a lot of investigation for interplanetary networks). I think I don't have to explain further what I mean with "no terrestrial connectivity", however, with poor terrestrial connectivity I mainly refer to regions with access to a narrow band Internet (e.g. via PSTN) only or to regions with an instable terrestrial network (e.g. in East Europe earthquakes often break fiber links). Exactly these regions with no or poor terrestrial connectivity often request IP over satellite services, either to get access at all, or to get broadband access, or to have a backup solution.

Therefore poor terrestrial connectivity here does not meet well your definition of DTNs, which (as far as I understand) have one or more of the following characteristics:
- Very High Delay
- Occasionally or predictably-connected links
- Precious Bandwidth
- Frequent Disconnection

For detailing the way we intend to work on the ESA projects we have to distinguish both projects:

In the "Standardization Support of Enhanced IETF IP Encapsulation Techniques for DVB-S" project we investigated new IP (IPv4 and IPv6) over DVB-S encapsulation mechanisms, and will prototype one of them called Ultra Lightweight Encapsulation (ULE). This work is closely done with the IETF. There has been a BOF (ipdvb BOF) scheduled for this in the last both IETFs, and it seems to have good chances to become a WG (in the INT area). ULE is specified in one of the IDs here. The WG also will investigate address resolution mechanisms for IPv4 and IPv6 over satellite.

In the "Preparation for IPv6 in Satellite Communications" project we will use the prototypes of the other project and set up one or two demonstration scenarios for IPv6 over satellite. One possibility for doing such a demonstration is introducing IPv6 into the SILK project. SILK is a project connecting the East European NRENs to the Europan Research Networks via satellite (Vint probably knows about this). I'm here in contact with Peter Kirstein. 
Furthermore the project will also analyse the impact of IPv6 specific protocol aspects on satellite networks. For example IPv6 implements IPsec as mandatory, which will have an influence on the use of some proprietary components used in satellite networks, such as PEPs. Or MIPv6 specified return routability for securing control traffic between MN and CN, which will introduce a high handoff delay due to the latency experienced over the satellite link - some micro-mobility functionality like HMIPv6 could help here. Or IPv6 ND will face problems on unidirectional satellite links, IPv6 DAD could also have problems on bi-directional hub-and-spoke architectures - UDLR could help here in some cases.
Finally we will investigate basic transition scenarios for different satellite network technologies, like bi-directional DVB-S, uni-directional DVB-S with terrestrial return link, DVB-S/RCS, bi-directional SCPC, ... deployed in different architectures, like point-to-point, hub and spoke or fully meshed. For a subset of them (probably for one with a good market representation) we will give a more detailed transition plan. Here we will look at components which needs to be upgraded to IPv6 (e.g. IPv6 support for DVB-S encapsulator required), IETF transition mechanisms to be applied (e.g. some type of tunneling, use of NAT-PT, ...), services which needs to be modified, ...

I hope this gives you a little more detailed impression on how we intend to approach the project work.

Cheers,

Wolfgang

> -----Ursprüngliche Nachricht-----
> Von: Durga Prasad Pandey [mailto:[email-masked]] 
> Gesendet: 20 November 2003 08:56
> An: Fritsche Wolfgang; vinton g. cerf
> Cc: [email-masked]
> Betreff: Re: [dtn-interest] Fwd: [ipv6.tf] IPv6 over 
> satellite activities {01}
> 
> 
> Wolfgang,
> 
> You have specifically mentioned regions with no or poor 
> terrestrial connectivity. Could you elaborate a bit on how to 
> intend to work on this?
> 
> Durga
> 
> --- "vinton g. cerf" <[email-masked]> wrote:
> > I thought these reports might be of peripheral interest to the DTN 
> > group.
> > 
> > vint
> > 
> > 
> > >Date: Wed, 19 Nov 2003 17:26:27 +0100
> > >From: Fritsche Wolfgang <[email-masked]>
> > >Subject: [ipv6.tf] IPv6 over satellite activities {01}
> > >Sender: [email-masked]
> > >To: [email-masked], [email-masked], 
> > >[email-masked]
> > >Reply-to: [email-masked]
> > >Thread-topic: IPv6 over satellite activities
> > >Thread-index: AcOuueGYF1RicINBTlWIBmT29Gmh5w==
> > >X-MS-Has-Attach:
> > >X-MS-TNEF-Correlator:
> > >X-Spam-Checker-Version: SpamAssassin 2.55 
> (1.174.2.19-2003-05-19-exp)
> > >X-MDRemoteIP: 194.139.245.9
> > >X-Return-Path: [email-masked]
> > >X-MDMailing-List: [email-masked]
> > >X-MDSend-Notifications-To: [email-masked]
> > >X-MDaemon-Deliver-To: [email-masked]
> > >List-Unsubscribe: <mailto:[email-masked]>
> > >Original-recipient: rfc822;[email-masked]
> > >
> > >Dear all,
> > >
> > >the European Space Agency (ESA) recently started several 
> activities 
> > >for
> > investigating and demonstrating "IPv6 over satellite". The use of 
> > satellite technology can be important to bring IPv6 into 
> regions with 
> > no or poor terrestrial connectivity.
> > >
> > >One of these activities is called "Preparation for IPv6 in 
> Satellite
> > Communications". In this project first satellite specific protocol 
> > issues for IPv6 will be investigated. Furthermore the 
> impact of IPv6 
> > on satellite network architectures will be analysed and appropriate 
> > transition scenarios will be proposed. Finally 
> demonstrations of IPv6 
> > over satellite will be selected and executed. Further 
> information can 
> > be obtained under 
> > http://telecom.esa.int/telecom/www/object/index.cfm?fobjectid=11406.
> > >
> > >A second set of activities are two projects called " 
> Standardization
> > Support of Enhanced IETF IP Encapsulation Techniques for 
> DVB-S". Here 
> > two projects will develop and implement an enhanced IP in MPEG-2 
> > encapsulation technique for DVB-S sender and receiver 
> devices. One of 
> > these projects
> > 
> (http://telecom.esa.int/telecom/www/object/ind> ex.cfm?fobjectid=11265)
> > will use the Open DVB Gateway from Global Communications & Services 
> > GmbH as platform.
> > >The other project is done by IABG and 6WIND, and will use the 
> > >6WINDGate
> > 6200 series router as platform. Selecting 6WIND as platform 
> will allow 
> > to use many of the already supported IPv6 functionalities over 
> > satellite links. Further information can be obtained under 
> > 
> http://telecom.esa.int/telecom/www/object/inde> x.cfm?fobjectid=11271. 
> > For February 2004 interoperability tests are planned 
> between these new 
> > developments.
> > >
> > >Cheers,
> > >
> > >Wolfgang
> > 
> > Vint Cerf
> > SVP Technology Strategy
> > MCI
> > 22001 Loudoun County Parkway, F2-4115
> > Ashburn, VA 20147
> > 703 886 1690 (v806 1690)
> > 703 886 0047 fax
> > [email-masked]
> > www.mci.com/cerfsup
> > 
> > _______________________________________________
> > dtn-interest mailing list
> > [email-masked] 
> > http://mailman.dtnrg.org/mailman/listinfo/dtn-interest
> 
> 
> =====
> Durga Prasad Pandey
> Assistant Online Editor, ACM Crossroads 
> http://www.acm.org/crossroads/ Indian School > of Mines 47 
> Emerald Hostel Dhanbad 826004 India [email-masked] DP's 
> inn: http://geocities.com/dpsmiles/
> 
> __________________________________
> Do you Yahoo!?
> Free Pop-Up Blocker - Get it now
> http://companion.yahoo.com/
> 

Date: Wed, 19 Nov 2003 23:56:24 -0800 (PST)
From: Durga Prasad Pandey <[email-masked]>
Subject: Re: [dtn-interest] Fwd: [ipv6.tf] IPv6 over satellite activities {01}
To: Fritsche Wolfgang <[email-masked]>, "vinton g. cerf" <[email-masked]>
Cc: [email-masked]
Sender: [email-masked]

Wolfgang,

You have specifically mentioned regions with no or poor terrestrial
connectivity. Could you elaborate a bit on how to intend to work on this?

Durga

--- "vinton g. cerf" <[email-masked]> wrote:
> I thought these reports might be of peripheral interest to the DTN
> group.
> 
> vint
> 
> 
> >Date: Wed, 19 Nov 2003 17:26:27 +0100
> >From: Fritsche Wolfgang <[email-masked]>
> >Subject: [ipv6.tf] IPv6 over satellite activities {01}
> >Sender: [email-masked]
> >To: [email-masked], [email-masked], [email-masked]
> >Reply-to: [email-masked]
> >Thread-topic: IPv6 over satellite activities
> >Thread-index: AcOuueGYF1RicINBTlWIBmT29Gmh5w==
> >X-MS-Has-Attach:
> >X-MS-TNEF-Correlator:
> >X-Spam-Checker-Version: SpamAssassin 2.55 (1.174.2.19-2003-05-19-exp)
> >X-MDRemoteIP: 194.139.245.9
> >X-Return-Path: [email-masked]
> >X-MDMailing-List: [email-masked]
> >X-MDSend-Notifications-To: [email-masked]
> >X-MDaemon-Deliver-To: [email-masked]
> >List-Unsubscribe: <mailto:[email-masked]>
> >Original-recipient: rfc822;[email-masked]
> >
> >Dear all,
> >
> >the European Space Agency (ESA) recently started several activities for
> investigating and demonstrating "IPv6 over satellite". The use of
> satellite technology can be important to bring IPv6 into regions with no
> or poor terrestrial connectivity.
> >
> >One of these activities is called "Preparation for IPv6 in Satellite
> Communications". In this project first satellite specific protocol
> issues for IPv6 will be investigated. Furthermore the impact of IPv6 on
> satellite network architectures will be analysed and appropriate
> transition scenarios will be proposed. Finally demonstrations of IPv6
> over satellite will be selected and executed. Further information can be
> obtained under
> http://telecom.esa.int/telecom/www/object/index.cfm?fobjectid=11406.
> >
> >A second set of activities are two projects called " Standardization
> Support of Enhanced IETF IP Encapsulation Techniques for DVB-S". Here
> two projects will develop and implement an enhanced IP in MPEG-2
> encapsulation technique for DVB-S sender and receiver devices. One of
> these projects
> (http://telecom.esa.int/telecom/www/object/index.cfm?fobjectid=11265)
> will use the Open DVB Gateway from Global Communications & Services GmbH
> as platform. 
> >The other project is done by IABG and 6WIND, and will use the 6WINDGate
> 6200 series router as platform. Selecting 6WIND as platform will allow
> to use many of the already supported IPv6 functionalities over satellite
> links. Further information can be obtained under
> http://telecom.esa.int/telecom/www/object/index.cfm?fobjectid=11271. For
> February 2004 interoperability tests are planned between these new
> developments.
> >
> >Cheers,
> >
> >Wolfgang
> 
> Vint Cerf
> SVP Technology Strategy
> MCI
> 22001 Loudoun County Parkway, F2-4115
> Ashburn, VA 20147
> 703 886 1690 (v806 1690)
> 703 886 0047 fax
> [email-masked]
> www.mci.com/cerfsup 
> 
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-interest

=====
Durga Prasad Pandey
Assistant Online Editor, ACM Crossroads
http://www.acm.org/crossroads/
Indian School of Mines
47 Emerald Hostel
Dhanbad 826004 India
[email-masked]
DP's inn: http://geocities.com/dpsmiles/

__________________________________
Do you Yahoo!?
Free Pop-Up Blocker - Get it now
http://companion.yahoo.com/

Date: Thu, 20 Nov 2003 01:42:21 -0500
From: "vinton g. cerf" <[email-masked]>
To: [email-masked]
Subject: [dtn-interest] Fwd: [ipv6.tf] IPv6 over satellite activities {01}
Sender: [email-masked]

I thought these reports might be of peripheral interest to the DTN group.

vint

>Date: Wed, 19 Nov 2003 17:26:27 +0100
>From: Fritsche Wolfgang <[email-masked]>
>Subject: [ipv6.tf] IPv6 over satellite activities {01}
>Sender: [email-masked]
>To: [email-masked], [email-masked], [email-masked]
>Reply-to: [email-masked]
>Thread-topic: IPv6 over satellite activities
>Thread-index: AcOuueGYF1RicINBTlWIBmT29Gmh5w==
>X-MS-Has-Attach:
>X-MS-TNEF-Correlator:
>X-Spam-Checker-Version: SpamAssassin 2.55 (1.174.2.19-2003-05-19-exp)
>X-MDRemoteIP: 194.139.245.9
>X-Return-Path: [email-masked]
>X-MDMailing-List: [email-masked]
>X-MDSend-Notifications-To: [email-masked]
>X-MDaemon-Deliver-To: [email-masked]
>List-Unsubscribe: <mailto:[email-masked]>
>Original-recipient: rfc822;[email-masked]
>
>Dear all,
>
>the European Space Agency (ESA) recently started several activities for investigating and demonstrating "IPv6 over satellite". The use of satellite technology can be important to bring IPv6 into regions with no or poor terrestrial connectivity.
>
>One of these activities is called "Preparation for IPv6 in Satellite Communications". In this project first satellite specific protocol issues for IPv6 will be investigated. Furthermore the impact of IPv6 on satellite network architectures will be analysed and appropriate transition scenarios will be proposed. Finally demonstrations of IPv6 over satellite will be selected and executed. Further information can be obtained under http://telecom.esa.int/telecom/www/object/index.cfm?fobjectid=11406.
>
>A second set of activities are two projects called " Standardization Support of Enhanced IETF IP Encapsulation Techniques for DVB-S". Here two projects will develop and implement an enhanced IP in MPEG-2 encapsulation technique for DVB-S sender and receiver devices. One of these projects (http://telecom.esa.int/telecom/www/object/index.cfm?fobjectid=11265) will use the Open DVB Gateway from Global Communications & Services GmbH as platform. 
>The other project is done by IABG and 6WIND, and will use the 6WINDGate 6200 series router as platform. Selecting 6WIND as platform will allow to use many of the already supported IPv6 functionalities over satellite links. Further information can be obtained under http://telecom.esa.int/telecom/www/object/index.cfm?fobjectid=11271. For February 2004 interoperability tests are planned between these new developments.
>
>Cheers,
>
>Wolfgang

Vint Cerf
SVP Technology Strategy
MCI
22001 Loudoun County Parkway, F2-4115
Ashburn, VA 20147
703 886 1690 (v806 1690)
703 886 0047 fax
[email-masked]
www.mci.com/cerfsup